# Class EvmAddress

#### Hierarchy

- EvmAddress

#### Implements

- Address

- Defined in platforms/evm/src/address.ts:13

#####
Index

### Constructors

constructor

### Properties

address
type
byteSize
platform

### Methods

equals
toNative
toString
toUint8Array
toUniversalAddress
unwrap
instanceof
isValidAddress

## Constructors

### constructor

- new EvmAddress(address): EvmAddress

- #### Parameters

  - ##### address: AnyEvmAddress

  #### Returns EvmAddress

  - Defined in platforms/evm/src/address.ts:21

## Properties

### `Private` `Readonly` address

address: string

- Defined in platforms/evm/src/address.ts:19

### `Readonly` type

type: string = 'Native'

- Defined in platforms/evm/src/address.ts:16

### `Static` `Readonly` byteSize

byteSize: 20 = 20

- Defined in platforms/evm/src/address.ts:14

### `Static` `Readonly` platform

platform: "Evm" = _platform

- Defined in platforms/evm/src/address.ts:15

## Methods

### equals

- equals(other): boolean

- #### Parameters

  - ##### other: UniversalAddress | EvmAddress

  #### Returns boolean

  - Defined in platforms/evm/src/address.ts:82

### toNative

- toNative(): EvmAddress

- #### Returns EvmAddress

  - Defined in platforms/evm/src/address.ts:65

### toString

- toString(): string

- #### Returns string

  Implementation of Address.toString

  - Defined in platforms/evm/src/address.ts:62

### toUint8Array

- toUint8Array(): Uint8Array

- #### Returns Uint8Array

  Implementation of Address.toUint8Array

  - Defined in platforms/evm/src/address.ts:68

### toUniversalAddress

- toUniversalAddress(): UniversalAddress

- #### Returns UniversalAddress

  Implementation of Address.toUniversalAddress

  - Defined in platforms/evm/src/address.ts:71

### unwrap

- unwrap(): string

- #### Returns string

  Implementation of Address.unwrap

  - Defined in platforms/evm/src/address.ts:59

### `Static` instanceof

- instanceof(address): address is EvmAddress

- #### Parameters

  - ##### address: any

  #### Returns address is EvmAddress

  - Defined in platforms/evm/src/address.ts:79

### `Static` isValidAddress

- isValidAddress(address): boolean

- #### Parameters

  - ##### address: string

  #### Returns boolean

  - Defined in platforms/evm/src/address.ts:76

Generated using TypeDoc